#!/bin/bash

# This helper script will set user and password secrets of values "system" and "manager" to match activemq deployment
#
# /scripts/gen-local-secret.sh
#

set -e

source /scripts/utils.sh

check_access ${infraNamespace} secrets
check_access ${appsNamespace} secrets

echo "Creating kubernetes secret ${brokerUserCredsSecretUserName}"
create_secret_user ${brokerUserCredsSecretUserName} ${infraNamespace} ${namingPrefix}
create_secret_user ${brokerUserCredsSecretUserName} ${appsNamespace} ${namingPrefix}

echo "Generating new password."
password=$(openssl rand -base64 24)

echo "Creating kubernetes secret ${brokerUserCredsSecretPassName}"
create_secret_password ${brokerUserCredsSecretPassName} ${infraNamespace} ${password}
create_secret_password ${brokerUserCredsSecretPassName} ${appsNamespace} ${password}

print_header "$0 done."
