#!/bin/sh

# This helper script will handle uninstalling activemq
set -e

## work-around for Override where inputs-in-env does not exist.
[[ -z "${policyScan:+x}" ]] && export policyScan=false

source /scripts/utils.sh

if [ -z "${namingPrefix}" ] ; then
    echo "Must set env namingPrefix"
    exit 1
fi

if [ -z "${appsNamespace}" ] ; then
    echo "Must set env appsNamespace"
    exit 1
fi

if [ -z "${infraNamespace}" ] ; then
    echo "Must set env infraNamespace"
    exit 1
fi

## Remove items from Terraform State file if awsDeployment=true & forceDeploy=true
if [ "${awsDeployment}x" == "truex" ] && [ "${forceDeploy}x" == "truex" ]; then
  source /scripts/terraform.sh
  terraform_init
  terraform_destroy
fi

print_header "Cleaning up kube resources"

if [ "${awsDeployment}x" == "truex" ]; then
  arnConfigMapName=${namingPrefix}-arn
  run_cmd  kubectl --namespace ${appsNamespace} delete configmap ${arnConfigMapName} --ignore-not-found
  run_cmd  kubectl --namespace ${infraNamespace} delete configmap ${arnConfigMapName} --ignore-not-found
fi

outputsConfigMapName=${namingPrefix}-outputs
run_cmd  kubectl --namespace ${appsNamespace} delete configmap ${outputsConfigMapName} --ignore-not-found
run_cmd  kubectl --namespace ${infraNamespace} delete configmap ${outputsConfigMapName} --ignore-not-found

endpointConfigMapName=${namingPrefix}-endpoint
run_cmd  kubectl --namespace ${appsNamespace} delete configmap ${endpointConfigMapName} --ignore-not-found
run_cmd  kubectl --namespace ${infraNamespace} delete configmap ${endpointConfigMapName} --ignore-not-found

print_header "Kubernetes outputs cleanup complete, use cloud custodian tool to delete AWS resources"
print_header "$0 done."
